import request from '@/utils/request'
import Qs from 'qs';


export function electricityHourByDay(data) {
	return request({
		url: '/mobile/electricityMeterApi/electricityHourByDay',
		data: Qs.stringify(data),
		method: 'post',
	})
}
export function electricityHourByYear(data) {
	return request({
		url: '/mobile/electricityMeterApi/electricityHourByYear',
		data: Qs.stringify(data),
		method: 'post',
	})
}

export function electricityMonthHB(data) {
	return request({
		url: '/mobile/electricityMeterApi/electricityMonthHB',
		data: Qs.stringify(data),
		method: 'post',
	})
}
export function electricityMonthTB(data) {
	return request({
		url: '/mobile/electricityMeterApi/electricityMonthTB',
		data: Qs.stringify(data),
		method: 'post',
	})
}

export function electricityStatistics(data) {
	return request({
		url: '/mobile/electricityMeterApi/electricityStatistics',
		data: Qs.stringify(data),
		method: 'post',
	})
}

export function energyCenter(data) {
	return request({
		url: '/mobile/electricityMeterApi/energyCenter',
		data: Qs.stringify(data),
		method: 'post',
	})
}
export function energyCenterElectricity(data) {
	return request({
		url: '/mobile/electricityMeterApi/energyCenterElectricity',
		data: Qs.stringify(data),
		method: 'post',
	})
}



export function energyCenterMap(data) {
	return request({
		url: '/mobile/electricityMeterApi/energyCenterMap',
		data: Qs.stringify(data),
		method: 'post',
	})
}

export function meterList(data) {
	return request({
		url: '/mobile/electricityMeterApi/meterList',
		data: Qs.stringify(data),
		method: 'post',
	})
}

export function powerDetection(data) {
	return request({
		url: '/mobile/electricityMeterApi/powerDetection',
		data: Qs.stringify(data),
		method: 'post',
	})
}